%define upstream_name Numbers_Words
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.18.2
Release:     	%mkrel 3
Summary:    	The PEAR Numbers_Words package provides methods for spelling numerals in words
License: 	PHP License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Numbers_Words-%{version}.tgz
URL: 		http://pear.php.net/package/Numbers_Words
BuildRequires:	php-pear >= 1.4.7
Requires: 	php-pear-Math_BigInteger
Requires:	php-pear >= 1.4.0b1
BuildArch: 	noarch

%description
With Numbers_Words class you can convert numbers
written in arabic digits to words in several languages.
You can convert an integer between -infinity and infinity.
If your system does not support such long numbers you can
call Numbers_Words::toWords() with just a string.

With the Numbers_Words::toCurrency($num, $locale, 'USD') method
you can convert a number (decimal and fraction part) to words with currency
name. 

The following languages are supported:
    * bg (Bulgarian) by Kouber Saparev
    * cs (Czech) by Petr 'PePa' Pavel
    * de (German) by Piotr Klaban
    * dk (Danish) by Jesper Veggerby
    * en_100 (Donald Knuth system, English) by Piotr Klaban
    * en_GB (British English) by Piotr Klaban
    * en_US (American English) by Piotr Klaban
    * es (Spanish Castellano) by Xavier Noguer
    * es_AR (Argentinian Spanish) by Martin Marrese
    * et (Estonian) by Erkki Saarniit
    * fr (French) by Kouber Saparev
    * fr_BE (French Belgium) by Kouber Saparev and Philippe Bajoit
    * he (Hebrew) by Hadar Porat
    * hu_HU (Hungarian) by Nils Homp
    * id (Indonesian) by Ernas M. Jamil and Arif Rifai Dwiyanto
    * it_IT (Italian) by Filippo Beltramini and Davide Caironi
    * lt (Lithuanian) by Laurynas Butkus
    * nl (Dutch) by WHAM van Dinter
    * pl (Polish) by Piotr Klaban
    * pt_BR (Brazilian Portuguese) by Marcelo Subtil Marcal and Mario H.C.T.
    * ru (Russian) by Andrey Demenev
    * sv (Swedish) by Robin Ericsson

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Numbers_Words.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Numbers_Words.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Numbers_Words
fi

%files
%doc docs/Numbers_Words/*
%{peardir}/*
%{xmldir}/Numbers_Words.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.18.2-3.mga8
+ Revision: 1507325
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.18.2-2.mga7
+ Revision: 1287855
- Mageia 7 Mass Rebuild

* Wed Feb 28 2018 mokraemer <mokraemer> 0.18.2-1.mga7
+ Revision: 1205775
- new version 0.18.2

* Tue Feb 09 2016 umeabot <umeabot> 0.18.1-2.mga6
+ Revision: 951034
- Mageia 6 Mass Rebuild

* Fri Dec 05 2014 spuhler <spuhler> 0.18.1-1.mga5
+ Revision: 801587
- upgrade to ver. 0.18.1
  * Fixed upstream bug #20435: Missing files in PEAR archive
  * Fixed French plural handling for "million" and suffixes above

* Wed Oct 15 2014 umeabot <umeabot> 0.16.4-5.mga5
+ Revision: 750971
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 0.16.4-4.mga5
+ Revision: 734132
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 0.16.4-3.mga5
+ Revision: 687402
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.16.4-2.mga4
+ Revision: 528219
- Mageia 4 Mass Rebuild

* Mon Jun 17 2013 spuhler <spuhler> 0.16.4-1.mga4
+ Revision: 443857
- upgrade to version 0.16.4

* Sun Jan 13 2013 umeabot <umeabot> 0.16.3-2.mga3
+ Revision: 377103
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 22 2012 spuhler <spuhler> 0.16.3-1.mga2
+ Revision: 199881
- upgrade to 0.16.3
  pearized spec file

* Sat Jan 29 2011 spuhler <spuhler> 0.16.1-4.mga1
+ Revision: 44017
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Numbers_Words


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.16.1-4mdv2011.0
+ Revision: 613744
- the mass rebuild of 2010.1 packages

* Sun Nov 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.16.1-3mdv2010.1
+ Revision: 468730
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.16.1-2mdv2010.0
+ Revision: 441499
- rebuild

* Mon Apr 20 2009 Raphaël Gertz <rapsys@mandriva.org> 0.16.1-1mdv2009.1
+ Revision: 368336
- Update php pear Numbers_Words to 0.16.1 version

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.15.0-3mdv2009.1
+ Revision: 322508
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.15.0-2mdv2009.0
+ Revision: 237038
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0.15.0-1mdv2008.0
+ Revision: 15472
- 0.15.0


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.14.0-1mdv2007.0
+ Revision: 82486
- Import php-pear-Numbers_Words

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.14.0-1mdk
- 0.14.0
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.13.1-7mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.13.1-6mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.13.1-5mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.13.1-4mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.13.1-3mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.13.1-2mdk
- fix spec file to conform with the others

* Sun May 29 2005 Oden Eriksson <oeriksson@mandriva.com> 0.13.1-1mdk
- initial Mandriva package

